Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.font
Interface GVTGlyphVector

All Known Implementing Classes:
  AWTGVTGlyphVector, MultiGlyphVector, SVGGVTGlyphVector

    public interface GVTGlyphVector

An interface for all GVT GlyphVector classes.

Method Summary
`void` | `draw(Graphics2D graphics2D, AttributedCharacterIterator aci)` Draws the glyph vector.
`Rectangle2D` | `getBounds2D(AttributedCharacterIterator aci)` Returns a tight bounds on the GylphVector including stroking.
`int` | `getCharacterCount(int startGlyphIndex, int endGlyphIndex)` Returns the number of chars represented by the glyphs within the specified range.
`GVTFont` | `getFont()` Returns the Font associated with this GlyphVector.
`FontRenderContext` | `getFontRenderContext()` Returns the FontRenderContext associated with this GlyphVector.
`Rectangle2D` | `getGeometricBounds()` Returns the visual bounds of this GlyphVector The visual bounds is the tightest rectangle enclosing all non-background pixels in the rendered representation of this GlyphVector.
`Rectangle2D` | `getGlyphCellBounds(int glyphIndex)` Returns the bounding box of the specified glyph, considering only the glyph's metrics (ascent, descent, advance) rather than the actual glyph shape.
`int` | `getGlyphCode(int glyphIndex)` Returns the glyphcode of the specified glyph.
`int[]` | `getGlyphCodes(int beginGlyphIndex, int numEntries, int[] codeReturn)` Returns an array of glyphcodes for the specified glyphs.
`GlyphJustificationInfo` | `getGlyphJustificationInfo(int glyphIndex)` Returns the justification information for the glyph at the specified index into this GlyphVector.
`Shape` | `getGlyphLogicalBounds(int glyphIndex)` Returns the logical bounds of the specified glyph within this GlyphVector.
`GVTGlyphMetrics` | `getGlyphMetrics(int glyphIndex)` Returns the metrics of the glyph at the specified index into this GlyphVector.
`Shape` | `getGlyphOutline(int glyphIndex)` Returns a Shape whose interior corresponds to the visual representation of the specified glyph within this GlyphVector.
`Point2D` | `getGlyphPosition(int glyphIndex)` Returns the position of the specified glyph within this GlyphVector.
`float[]` | `getGlyphPositions(int beginGlyphIndex, int numEntries, float[] positionReturn)` Returns an array of glyph positions for the specified glyphs
`AffineTransform` | `getGlyphTransform(int glyphIndex)` Gets the transform of the specified glyph within this GlyphVector.
`Shape` | `getGlyphVisualBounds(int glyphIndex)` Returns the visual bounds of the specified glyph within the GlyphVector.
`Rectangle2D` | `getLogicalBounds()` Returns the logical bounds of this GlyphVector.
`int` | `getNumGlyphs()` Returns the number of glyphs in this GlyphVector.
`Shape` | `getOutline()` Returns a Shape whose interior corresponds to the visual representation of this GlyphVector.
`Shape` | `getOutline(float x, float y)` Returns a Shape whose interior corresponds to the visual representation of this GlyphVector, offset to x, y.
`boolean` | `isGlyphVisible(int glyphIndex)` Returns true if specified glyph will be drawn.
`void` | `performDefaultLayout()` Assigns default positions to each glyph in this GlyphVector.
`void` | `setGlyphPosition(int glyphIndex, Point2D newPos)` Sets the position of the specified glyph within this GlyphVector.
`void` | `setGlyphTransform(int glyphIndex, AffineTransform newTX)` Sets the transform of the specified glyph within this GlyphVector.
`void` | `setGlyphVisible(int glyphIndex, boolean visible)` Tells the glyph vector whether or not to draw the specified glyph.

Method Detail

### getFont

    GVTFont getFont()

  Returns the Font associated with this GlyphVector.

### getFontRenderContext

    FontRenderContext getFontRenderContext()

  Returns the FontRenderContext associated with this GlyphVector.

### getGlyphCode

    int getGlyphCode(int glyphIndex)

  Returns the glyphcode of the specified glyph.

### getGlyphCodes

    int[] getGlyphCodes(int beginGlyphIndex,
                        int numEntries,
                        int[] codeReturn)

  Returns an array of glyphcodes for the specified glyphs.

### getGlyphJustificationInfo

    GlyphJustificationInfo getGlyphJustificationInfo(int glyphIndex)

  Returns the justification information for the glyph at the specified index into this GlyphVector.

### getGlyphLogicalBounds

    Shape getGlyphLogicalBounds(int glyphIndex)

  Returns the logical bounds of the specified glyph within this GlyphVector. This is a good bound for hit detection and highlighting it is not tight in any sense, and in some (rare) cases may exclude parts of the glyph.

### getGlyphMetrics

    GVTGlyphMetrics getGlyphMetrics(int glyphIndex)

  Returns the metrics of the glyph at the specified index into this GlyphVector.

### getGlyphOutline

    Shape getGlyphOutline(int glyphIndex)

  Returns a Shape whose interior corresponds to the visual representation of the specified glyph within this GlyphVector.

### getGlyphCellBounds

    Rectangle2D getGlyphCellBounds(int glyphIndex)

  Returns the bounding box of the specified glyph, considering only the glyph's metrics (ascent, descent, advance) rather than the actual glyph shape.

### getGlyphPosition

    Point2D getGlyphPosition(int glyphIndex)

  Returns the position of the specified glyph within this GlyphVector.

### getGlyphPositions

    float[] getGlyphPositions(int beginGlyphIndex,
                              int numEntries,
                              float[] positionReturn)

  Returns an array of glyph positions for the specified glyphs

### getGlyphTransform

    AffineTransform getGlyphTransform(int glyphIndex)

  Gets the transform of the specified glyph within this GlyphVector.

### getGlyphVisualBounds

    Shape getGlyphVisualBounds(int glyphIndex)

  Returns the visual bounds of the specified glyph within the GlyphVector.

### getLogicalBounds

    Rectangle2D getLogicalBounds()

  Returns the logical bounds of this GlyphVector. This is a good bound for hit detection and highlighting it is not tight in any sense, and in some (rare) cases may exclude parts of the glyph.

### getNumGlyphs

    int getNumGlyphs()

  Returns the number of glyphs in this GlyphVector.

### getOutline

    Shape getOutline()

  Returns a Shape whose interior corresponds to the visual representation of this GlyphVector.

### getOutline

    Shape getOutline(float x,
                     float y)

  Returns a Shape whose interior corresponds to the visual representation of this GlyphVector, offset to x, y.

### getGeometricBounds

    Rectangle2D getGeometricBounds()

  Returns the visual bounds of this GlyphVector The visual bounds is the tightest rectangle enclosing all non-background pixels in the rendered representation of this GlyphVector.

### getBounds2D

    Rectangle2D getBounds2D(AttributedCharacterIterator aci)

  Returns a tight bounds on the GylphVector including stroking.

  Parameters:
    `aci` - Required to get painting attributes of glyphVector.

### performDefaultLayout

    void performDefaultLayout()

  Assigns default positions to each glyph in this GlyphVector.

### setGlyphPosition

    void setGlyphPosition(int glyphIndex,
                          Point2D newPos)

  Sets the position of the specified glyph within this GlyphVector.

### setGlyphTransform

    void setGlyphTransform(int glyphIndex,
                           AffineTransform newTX)

  Sets the transform of the specified glyph within this GlyphVector.

### setGlyphVisible

    void setGlyphVisible(int glyphIndex,
                         boolean visible)

  Tells the glyph vector whether or not to draw the specified glyph.

### isGlyphVisible

    boolean isGlyphVisible(int glyphIndex)

  Returns true if specified glyph will be drawn.

### getCharacterCount

    int getCharacterCount(int startGlyphIndex,
                          int endGlyphIndex)

  Returns the number of chars represented by the glyphs within the specified range.

  Parameters:
    `startGlyphIndex` - The index of the first glyph in the range.
    `endGlyphIndex` - The index of the last glyph in the range.
  Returns:
    The number of chars.

### draw

    void draw(Graphics2D graphics2D,
              AttributedCharacterIterator aci)

  Draws the glyph vector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.